DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableFrameWork

FrameWork for PixelTable filters

## SYNOPSIS

`#include "dip_framework.h"` `#include "dip_tprunlength.h"`

dip_Error dip_PixelTableFrameWork ( in, out, boundary, process, table )

## FUNCTION

Thsi function provides a framework for filters that code the shape of their filter in a pixel table (runlengths). See `SeparableFrameWork` for details.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_FrameWorkProcess` | `process` | Process
`dip_PixelTable` | `table` | Pixel table

## SEE ALSO

`SeparableFrameWork`

DIPlib on-line documentation | Function reference | Global function index